coupang
PUT/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/stoppedShipmentv1

Processing 'Release stop'

# 01

Summary

Available buyer market: Korean You can use this feature for a product in the status of RELEASE_STOP_UNCHECKED or RETURNS_UNCHECKED & releaseStatus, "N" when running a query on the list of return requests upon order cancellation of a customer.

# 02

Details

Available buyer market: Korean

You can use this feature for a product in the status of RELEASE_STOP_UNCHECKED or RETURNS_UNCHECKED & releaseStatus, "N" when running a query on the list of return requests upon order cancellation of a customer. This feature is designed for stopping release of a product which is yet to have been sent, at the request of a customer.

<Caution!> The seller is liable for a round trip return shipping fee if the product requested for 'release stop' is shipped out.

Path

PATCH PUT

/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/stoppedShipment

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnRequests/363667/stoppedShipment

Request Parameters

Path Segment Parameter

Name Required Type Description
receiptId O Number
Receipt ID
vendorId O String 
Vendor ID
A unique code Coupang assigns to a vendor
e.g.) A00012345

Body Parameter

Name Required Type Description
vendorId O String
Vendor ID
A unique code Coupang assigns to a vendor
e.g.) A00012345
receiptId Number
Receipt ID 
cancelCount Number
Release count

Request Example

{
  "vendorId": "A00012345",
  "receiptId": 363667,
  "cancelCount": 2
}

Response Message

Name Type Description
code Number
Server response code
message String
Server response message
data Object
 
  resultCode String
SUCCESS/FAIL
  resultMessage String
Result message

Response Example

{
  "code": "200",
  "message": "OK",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "Request for release stop succeeded" }
}

Error Spec

HTTP status code(error type) Error message Solution
400 (Check requested variable) Product is already returned. Check the status of receiptID to see if its return is completed through 'Return request one product query' API. Make sure that you do not move forward with processing 'release stop' for the returned product
400 (Check requested variable) Receipt count for cancel/return doesn't match cancel count. Make sure that cancel count is identical to receipt count for return. 
400 (Check requested variable) The product is not in the status of Prepared or Ordered for delivery. Shipping completed. Check if the product for processing 'release stop' is being prepared or ordered for shipping. If you proceed with the product already shipped, an error message will pop up.
400 (Check requested variable) cancelType is not A nor RA. Check the value of receipt ID and the return status of product for their correctness, and make sure you do not move forward with 'release stop' for the wrong value and status.
500 (Check requested variable) It has been shipped and cannot be processed. Check the status of receiptID to see if its return is completed through 'Return request one product query' API. Make sure that you do not move forward with processing 'release stop' for the returned product

URL API Name

STOP_RETURN_REQUEST_SHIPMENT